
from django.urls import path
from django.urls import include
from django.views.generic.base import RedirectView
from bam.views import ProfileView
from bam.forms import HashedEmailPasswordResetForm
import django.contrib.auth.views as auth_views

urlpatterns = [
    path('', RedirectView.as_view(pattern_name='profile')),
    path('profile/', ProfileView.as_view(), name='profile'),

    path('login/',
         auth_views.LoginView.as_view(template_name='bam/login.html'),
         name='login'),
    path('logout/',
         auth_views.LogoutView.as_view(template_name='bam/logged_out.html'),
         name='logout'),
    path('password_change/',
         auth_views.PasswordChangeView.as_view(
             template_name='bam/password_change.html'
         ),
         name='password_change'),
    path('password_change_done/',
         auth_views.PasswordChangeDoneView.as_view(
            template_name='bam/password_change_done.html'
         ),
         name='password_change_done'),
    path('password_reset/',
         auth_views.PasswordResetView.as_view(
             template_name='bam/password_reset.html',
             form_class=HashedEmailPasswordResetForm
         ),
         name='password_reset'),
    path('password_reset_done/',
         auth_views.PasswordResetDoneView.as_view(
             template_name='bam/password_reset_done.html'
         ),
         name='password_reset_done'),
    path('password_reset_confirm/<uidb64>/<token>/',
         auth_views.PasswordResetConfirmView.as_view(
             template_name='bam/password_reset_confirm.html'
         ),
         name='password_reset_confirm'),
    path('password_reset_confirm/',
         auth_views.PasswordResetConfirmView.as_view(
             template_name='bam/password_reset_confirm.html'
         ),
         name='password_reset_confirm'),
    path('password_reset_complete/',
         auth_views.PasswordResetCompleteView.as_view(
             template_name='bam/password_reset_complete.html'
         ),
         name='password_reset_complete'),
]
